Firefox下AutoProxy未被验证的解决办法

版权声明:stoolmonster https://blog.csdn.net/Stool_Monster/article/details/52116461

由于AutoProxy作者早已不再继续更新这款插件,导致它在后续新版本的Firefox中无法继续使用,这困扰了不少和我一样使用ss的人。

下面就这一问题说一下我的解决方法。


一、网上普遍能搜到的方法

我第一次碰到这个问题,也是参考网上普遍能搜到的方法解决的,并且在几次Firefox的更新之后都没有任何问题。方法如下:

首先在地址栏中输入about:config并回车打开,然后点击“我保证会小心”:


接着在搜索栏里搜索xpinstall,找到xpinstall.signatures.required这一条,其默认值为true。双击这一条,使其值变为false,再安装AutoProxy即可。(下图是我已经关闭这一条后的状态)。



不过在昨天(2016-08-03)Firefox更新之后,突然原本可用的AutoProxy有被禁了,而且上述办法不再可行。下面说明以下我刚刚试过并且可行的办法:


二、更改Firefox选项设置(前提是你已经安装了Chrome的SwitchyOmega)

注意:这一方法首先你得安装了Chrome的SwitchyOmega并且可用。我想一般用ss的人应该两个浏览器都会在首次使用的时候都安装好的吧?

依次打开Firefox中的选项->高级->网络,接着点击连接的设置,


选择“手动配置代理”,同时勾选“为所有协议使用相同代理”:


接着打开Chrome里SwitchyOmega的选项:


点击左侧“情景模式”下的ss(这个看你安装时起的name是什么了),然后将对应的代理服务器、代理端口和不代理的地址列表里的内容分别粘贴到刚刚打开的Firefox里的对应位置,如下图。:



最后点击确定即可!

展开阅读全文

没有更多推荐了,返回首页